Subject: RE: automatic enterprise-scale rendezvous [Re: mboned: Interest in working on multicast address rendezvous?]

From: "Manfredi, Albert E" <[email-masked]>
Date: Wed, 9 Feb 2005 18:50:18 -0500

Marshall Eubanks qrote:

>  "Manfredi, Albert E" <[email-masked]> wrote:
> >
> > Throughout this thread, I've been thinking that the 
> simplest way to go by far would be for
> > enterprise nets to simply provide a web site where app 
> designers could go. But maybe that's too
> > manual.
> 
> Well, on the application that I worked on the most, this 
> wouldn't have solved a thing - how does the
> application know where the web site is ? You've just popped 
> the problem up (down?) to another layer.
> 
> If you want to use local DNS, then why not just provide the 
> class D address using local DNS and
> avoid the server entirely ?

That's one option.

I still think something isn't making sense here (to me).

With the well-known multicast address, the applications in the clients would go to a server to find the admin-scoped Class D address they need. So a server has to exist in the enterprise net, correct? The only thing we're trying to do is to gain access to this server without configuring each client manually. If a well-known Class D address can be defined for this role, no config of clients is required. I get that much.

The guy who wrote the application which is installed in these clients, why can't he include in his code the unicast address of a server. So the clients first go to that server, unicast, fetch the multicast address(es) they need for this app, and proceed from there? Sort of the equivalent of an electronic program guide. Not much different from the DNS idea, except that the server is specifically identified in this new multicast app.

In all cases, there is a server in the scheme. The only question here is how acquire multicast addresses without having to manually enter them into each client, and without having to rely on hard-coded multicast addresses.

Bert

_______________________________________________________________
user interface: http://darkwing.uoregon.edu/~llynch/mboned.html
web archive:  http://darkwing.uoregon.edu/~llynch/mboned/